%define major		1
%define libname		%mklibname numa %{major}
%define develname	%mklibname numa -d

Summary:	Simple NUMA policy support
Name:		numactl
Version:	2.0.16
Release:	%mkrel 1
License:	LGPLv2/GPLv2
Group:		System/Kernel and hardware
Url:		https://github.com/numactl/numactl
Source0:	https://github.com/numactl/numactl/releases/download/v%{version}/%{name}-%{version}.tar.gz
ExcludeArch:	%{arm}

%description
This package contains the `numactl' program to run other programs with
a specific NUMA policy.

%package -n	%{libname}
Summary:	Runtime libraries for NUMA policy support
Group:		System/Libraries

%description -n	%{libname}
This package contains the dynamic libraries for NUMA policy support.

%package -n	%{develname}
Summary:	Headers and libraries for NUMA policy
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	numa-devel = %{version}-%{release}
Provides:	numactl-devel = %{version}-%{release}

%description -n	%{develname}
This package contains headers and libraries useful for developing
applications using different NUMA policies.

%prep
%setup -q

%build
%configure
%__make clean
%make_build CFLAGS="%{optflags} -I." LDFLAGS="%ldflags"

%install
%make_install prefix=%{buildroot}%{_prefix}

find %{buildroot} -name '*.a' -delete
find %{buildroot} -name '*.la' -delete

%files
%doc README.md
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_bindir}/migspeed
%{_bindir}/migratepages
%{_mandir}/man8/*.8*

%files -n %{libname}
%{_libdir}/libnuma.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libnuma.so
%{_libdir}/pkgconfig/numa.pc
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_mandir}/man2/move_pages.2.*
%{_mandir}/man3/numa.3.*


%changelog
* Wed Oct 19 2022 ghibo <ghibo> 2.0.16-1.mga9
+ Revision: 1897658
- Update to release 2.0.16

* Tue Mar 15 2022 umeabot <umeabot> 2.0.14-2.mga9
+ Revision: 1792942
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 luigiwalser <luigiwalser> 2.0.14-1.mga8
+ Revision: 1647153
- 2.0.14

* Tue Feb 18 2020 umeabot <umeabot> 2.0.13-2.mga8
+ Revision: 1538598
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 24 2019 daviddavid <daviddavid> 2.0.13-1.mga8
+ Revision: 1462570
- new version: 2.0.13

* Fri Aug 31 2018 daviddavid <daviddavid> 2.0.12-1.mga7
+ Revision: 1255818
- new version: 2.0.12
- update URL and Source URL

* Wed Jul 18 2018 kekepower <kekepower> 2.0.11-3.mga7
+ Revision: 1244243
- Use new make macros
+ wally <wally>
- exclude build only on arm

* Tue Apr 26 2016 tv <tv> 2.0.11-2.mga6
+ Revision: 1006434
- provides numactl-devel
- do not package static libs

* Sat Dec 26 2015 luigiwalser <luigiwalser> 2.0.11-1.mga6
+ Revision: 915216
- 2.0.11
- call configure script
- fix files list

* Wed Oct 15 2014 umeabot <umeabot> 2.0.9-4.mga5
+ Revision: 745167
- Second Mageia 5 Mass Rebuild

* Tue Aug 12 2014 wally <wally> 2.0.9-3.mga5
+ Revision: 662110
- drop explicit kernel dependency from lib pkg

* Mon Oct 21 2013 umeabot <umeabot> 2.0.9-2.mga4
+ Revision: 541004
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 2.0.9-1.mga4
+ Revision: 494874
- 2.0.9

* Wed Jan 23 2013 fwang <fwang> 2.0.8-3.mga3
+ Revision: 391294
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 2.0.8-2.mga3
+ Revision: 361079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 2.0.8-1.mga3
+ Revision: 304796
- new version 2.0.8
+ tv <tv>
- new release

* Thu Jan 13 2011 tmb <tmb> 2.0.3-4.mga1
+ Revision: 8943
- imported package numactl


* Thu Jan 13 2011 Thomas Backlund <tmb@mageia.org> 2.0.3-4.mga1
- initial Mageia import
- drop support for old mandriva releases

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-3mdv2011.0
+ Revision: 606833
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-2mdv2010.1
+ Revision: 523445
- rebuilt for 2010.1

* Wed Jun 10 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.3-1mdv2010.0
+ Revision: 384890
- Update to new version 2.0.3
- Remove -Werror=format-security patch: integrated upstream

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.3-0.rc3.333mdv2010.0
+ Revision: 378372
- Don't package doc files in devel subpackage, they are already included in
  numactl

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.3-0.rc3.2mdv2010.0
+ Revision: 378343
- Don't build with -fPic and remove clearcache build fix patch for
  -fPic which is not needed anymore now, as recommended by upstream:
  http://markmail.org/message/2toadsrvr3w5ht67

* Thu May 21 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.3-0.rc3.1mdv2010.0
+ Revision: 378340
- Sync with Fedora in order to be able to build libvirt correctly with
  numa support:
- Update to new version 2.0.3-rc3
- Add patch fixing RH bug #499633 (libnuma: Warning: /sys not mounted
  or invalid)

* Sun May 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.2-1mdv2010.0
+ Revision: 373970
- new version

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Remove annoying warning "libnuma: Warning: /sys not mounted" for systems not having numa mounted (FC).
    - Add Provides: numa-devel.
    - Add %%{ix_86} arch to supported archs.
    - Update to relese 2.0.2
    - Merged Patch1 from Fedora.

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-3mdv2009.0
+ Revision: 241098
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 22 2007 Erwan Velu <erwan@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 69299
- 1.0.1
- Fixing url
  0.9.11

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 0.9.10-1mdv2008.0
+ Revision: 17632
- 0.9.10
- Import numactl



* Wed Jan 04 2006 Erwan Velu <erwan@seanodes.com> 0.9-1mdk
- 0.9

* Wed May 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.6.4-1mdk
- First Mandriva Linux release
